aboutsummaryrefslogtreecommitdiff
path: root/scripts/git-log-pretty-since.sh
diff options
context:
space:
mode:
authordundargoc <gocdundar@gmail.com>2022-10-30 13:50:41 +0100
committerdundargoc <gocdundar@gmail.com>2022-11-01 18:37:21 +0100
commit502b5ee10fedc97e1455e7365a10c9bad7268c67 (patch)
tree76e48e2ff97cd7725d06f3e9a9521861584f6f12 /scripts/git-log-pretty-since.sh
parentaeb87f8b4a87e99c392e7ec11b29b715e1f31ac3 (diff)
downloadrneovim-502b5ee10fedc97e1455e7365a10c9bad7268c67.tar.gz
rneovim-502b5ee10fedc97e1455e7365a10c9bad7268c67.tar.bz2
rneovim-502b5ee10fedc97e1455e7365a10c9bad7268c67.zip
build(lint): add more shell scripts to lintsh
Diffstat (limited to 'scripts/git-log-pretty-since.sh')
-rwxr-xr-xscripts/git-log-pretty-since.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/scripts/git-log-pretty-since.sh b/scripts/git-log-pretty-since.sh
index a0aa4354b6..95dcee23f5 100755
--- a/scripts/git-log-pretty-since.sh
+++ b/scripts/git-log-pretty-since.sh
@@ -16,9 +16,9 @@ __SINCE=$1
__INVMATCH=$2
is_merge_commit() {
- git rev-parse $1 >/dev/null 2>&1 \
+ git rev-parse "$1" >/dev/null 2>&1 \
|| { echo "ERROR: invalid commit: $1"; exit 1; }
- git log $1^2 >/dev/null 2>&1 && return 0 || return 1
+ git log "$1"^2 >/dev/null 2>&1 && return 0 || return 1
}
# Removes parens from issue/ticket/PR numbers.
@@ -40,13 +40,13 @@ _format_ticketnums() {
}
for commit in $(git log --format='%H' --first-parent "$__SINCE"..HEAD); do
- if is_merge_commit ${commit} ; then
- if [ -z "$__INVMATCH" ] || ! git log --oneline ${commit}^1..${commit}^2 \
+ if is_merge_commit "${commit}" ; then
+ if [ -z "$__INVMATCH" ] || ! git log --oneline "${commit}^1..${commit}^2" \
| >/dev/null 2>&1 grep -E "$__INVMATCH" ; then
- git log -1 --oneline ${commit}
- git log --format=' %h %s' ${commit}^1..${commit}^2
+ git log -1 --oneline "${commit}"
+ git log --format=' %h %s' "${commit}^1..${commit}^2"
fi
else
- git log -1 --oneline ${commit}
+ git log -1 --oneline "${commit}"
fi
done | _format_ticketnums